import java.util.*;
import java.io.*;

import RTIcap.*;             // The package containing our stubs.
import npacrti.*;            // The package containing our stubs.
import org.omg.CosNaming.*;  // 
import org.omg.CORBA.*;      // All CORBA applications need these classes.
import owrti.util.*;

/**
*  This demo is prepared to demostrate how you can use OWRTI package.
*  This is a Chat example.
*
* @date May 11, 1998 ( Updated May 11, 1998 )
* @author H. Timucin Ozdemir
*
*/
public class mainChat {

   /** */
   public static void main(String args[]) {
     try
     {  // Create and initialize the ORB
        ORB orb = ORB.init(args, null);
      
        /*  ----- This Part is required if we are using Naming Service ---
        // Get the root naming context
        org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
        NamingContext ncRef = NamingContextHelper.narrow(objRef);
      
        // Resolve the object reference in naming
        NameComponent nc = new NameComponent("RTIKernel", " ");
        NameComponent path[] = {nc};
        RTIKernelInterface rtiKernel = RTIKernelInterfaceHelper.narrow(ncRef.resolve(path));
        */

        try 
        {  String strIOR = owrti.util.KernelLocator.getRTIKernelIOR();
           if( strIOR != null ) {
              RTIKernelInterface rtiKernel = RTIKernelInterfaceHelper.narrow(orb.string_to_object(strIOR));

              // Get the Version of the Kernel
              String version = rtiKernel.getVersion();
              System.out.println(" Version is : "+version);      

              RTIambassador rtiAmb = rtiKernel.createRTIAmbassador();

              RTILauncherGUI launcherWin = new RTILauncherGUI(rtiAmb,orb);

              launcherWin.setTitle("RTIComponentLauncher/0.1");
              launcherWin.setSize(550, 260);
              launcherWin.setVisible(true);

           } else System.out.println(" IOR file is empty| \n "+
                        "I can not find the address of RTIKernelInterface ");

        } catch(java.io.FileNotFoundException fnf) 
          { System.out.println("File Not Found"); }
          
     } catch(Exception e) 
       { System.out.println("ERROR : " + e); e.printStackTrace(System.out); }  

   }// end of main()
 
}// end of mainChat()
